
//comment
function BkParamTest(typ,len,wdata,readFlag) 
	for i=1,len,1 do 
		if readFlag > 0 then
			t = umem.bkprmr(typ,i)
			if wdata ~= t then
				print("err")
			end
		else
			umem.bkprmw(typ,i,wdata)
		end
	end
end

function task1_main()
	local t = 0
	local rw = 1
	local wdata = 120 

	//BkParamTest(0,32,wdata,0)
	//BkParamTest(1,64,wdata,0)
	//BkParamTest(2,64,wdata,0)
	//BkParamTest(3,64,wdata,0)
	
	BkParamTest(0,32,wdata,1)
	BkParamTest(1,64,wdata,1)
	BkParamTest(2,64,wdata,1)
	BkParamTest(3,64,wdata,1)

	


end
